Legrand / Raritan / Server Technology Xerus™ JSON-RPC API: pdumodel::OverCurrentProtector Interface Reference

Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Classes | Public Types | Public Member Functions | List of all members
pdumodel::OverCurrentProtector Interface Reference

Overcurrent protector interface. More...

`import "OverCurrentProtector.idl";`

Inheritance diagram for pdumodel::OverCurrentProtector:

## Classes
struct | MetaData
| Overcurrent protector metadata. More...
struct | Sensors
| Overcurrent protector sensors. More...
struct | Settings
| Overcurrent protector settings. More...
struct | SettingsChangedEvent
| Event: Overcurrent protector settings have been changed. More...

## Public Types
enum | Type { BREAKER_1POLE , BREAKER_2POLE , BREAKER_3POLE , FUSE , FUSE_PAIR , RCBO_2POLE , RCBO_3POLE , RCBO_4POLE }
| Overcurrent protector type. More...

## Public Member Functions
MetaData | getMetaData ()
| Retrieve the OCP metadata.
Sensors | getSensors ()
| Get the OCP sensors.
vector< DoublePole > | getPoles ()
| Get the list of OCP poles.
Inlet | getInlet ()
| Get the inlet this OCP is connected to.
OverCurrentProtector | getOCP ()
| Get parent OCP - next OCP going towards inlet (for cascaded OCPs).
Settings | getSettings ()
| Retrieve the OCP settings.
int | setSettings (in Settings settings)
| Change the OCP settings.
Public Member Functions inherited from pdumodel::EDevice
vector< EDevice > | getParents ()
| Get the list of devices that provide energy to this device.
vector< EDevice > | getChildren ()
| Get the list of devices that are directly fed by this device.
Waveform | getWaveform ()
| Get the current voltage and current waveforms for this device.
Waveform | getPoleWaveform (in PowerLine line)
| Get the current voltage and current waveforms for a pole of this device.

## Detailed Description

Overcurrent protector interface.

Definition at line 27 of file OverCurrentProtector.idl.

## Member Enumeration Documentation

## ◆ Type

enum pdumodel::OverCurrentProtector::Type

Overcurrent protector type.

Enumerator
BREAKER_1POLE | Single-pole circuit breaker.
BREAKER_2POLE | Two-pole circuit breaker.
BREAKER_3POLE | Three-pole circuit breaker.
FUSE | Fuse.
FUSE_PAIR | Fuse Pair.
RCBO_2POLE | Two-pole residual-current device including overcurrent protection.
RCBO_3POLE | Three-pole residual-current device including overcurrent protection.
RCBO_4POLE | Four-pole residual-current device including overcurrent protection.

Definition at line 30 of file OverCurrentProtector.idl.

## Member Function Documentation

## ◆ getInlet()

Inlet pdumodel::OverCurrentProtector::getInlet | ( |  | ) |

Get the inlet this OCP is connected to.

Returns
  inlet

## ◆ getMetaData()

MetaData pdumodel::OverCurrentProtector::getMetaData | ( |  | ) |

Retrieve the OCP metadata.

Returns
  OCP metadata

## ◆ getOCP()

OverCurrentProtector pdumodel::OverCurrentProtector::getOCP | ( |  | ) |

Get parent OCP - next OCP going towards inlet (for cascaded OCPs).

Returns
  OCP or null

## ◆ getPoles()

vector< DoublePole > pdumodel::OverCurrentProtector::getPoles | ( |  | ) |

Get the list of OCP poles.

Returns
  List of OCP poles

## ◆ getSensors()

Sensors pdumodel::OverCurrentProtector::getSensors | ( |  | ) |

Get the OCP sensors.

Returns
  OCP sensors

## ◆ getSettings()

Settings pdumodel::OverCurrentProtector::getSettings | ( |  | ) |

Retrieve the OCP settings.

Returns
  OCP settings

## ◆ setSettings()

int pdumodel::OverCurrentProtector::setSettings | ( | in Settings | settings | ) |

Change the OCP settings.

Parameters

  settings | New OCP settings

Returns
  0 if OK
  1 if any parameters are invalid

The documentation for this interface was generated from the following file:

- OverCurrentProtector.idl